import java.util.*;

public class Weibull { 

	double shape, scale; 


	public Weibull(double shape, double scale) { 
		this.scale = scale;
		this.shape = shape;
	}
    
	public double next() {
		Random r = new Random();
		return scale * Math.pow(-Math.log(1 - r.nextDouble()), 1.0 / shape);
	}
}

class weibullTester {

	static Weibull w;
	static Scanner sc = new Scanner(System.in);;

	public static void prompt() {
		System.out.print("Enter shape (Z+) >");
		double shape = sc.nextDouble();
		System.out.print("Enter scale (Z+) >");
		double scale = sc.nextDouble();
		w = new Weibull(shape, scale);
	}

	public static void shoot() {
		for (int i = 0; i < 20; i++) {
			int j = (int)(10.0 * (w.next() - 1.0));
			System.out.println(j);
		}
	}

	public static void main (String[] args) {
		prompt();
		shoot();
	}
}
